Skip to main content
GET
/
api
/
cost
/
v2
/
cloudCost
/
accumulated
Get the accumulated cloud cost data
curl --request GET \
  --url https://api.example.com/api/cost/v2/cloudCost/accumulated \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "data": [
    {
      "amortizedCost": {
        "cost": 123,
        "kubernetesPercent": 123
      },
      "amortizedNetCost": {
        "cost": 123,
        "kubernetesPercent": 123
      },
      "invoicedCost": {
        "cost": 123,
        "kubernetesPercent": 123
      },
      "key": {},
      "listCost": {
        "cost": 123,
        "kubernetesPercent": 123
      },
      "netCost": {
        "cost": 123,
        "kubernetesPercent": 123
      },
      "window": {
        "end": "<string>",
        "start": "<string>"
      }
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

window
string
required

Duration of time over which to query. Accepts words like today, week, month, yesterday, lastweek, lastmonth; durations like 30m, 12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z

aggregate
string[]

Aggregate the cloud costs. Accepts kubecost aggregates like invoiceEntityID, accountID, provider, service, and label:. Supports multi-aggregation.

interval
string

Interval to accumulate the costs. Accepts hour, day, week

filter
string

filter the result by any category which you can aggregate by.

limit
integer

Max number of rows to fetch. Defaults to 1000.

offset
integer

How many rows from the start to skip. Defaults to 0.

Response

Success

data
object[]
required